| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLStringTokenizer Class Reference The string tokenizer class breaks a string into tokens. More... List of all members.
## Public Methods
Constructors
| XMLStringTokenizer (const XMLCh *const srcStr)
| Constructs a string tokenizer for the specified string.
| XMLStringTokenizer (const XMLCh *const srcStr, const XMLCh *const delim)
| Constructs a string tokenizer for the specified string.
Destructor.
| ~XMLStringTokenizer ()
Management Function
bool | hasMoreTokens ()
| Tests if there are more tokens available from this tokenizer's string.
int | countTokens ()
| Calculates the number of times that this tokenizer's nextToken method can be called to return a valid token.
XMLCh * | nextToken ()
| Returns the next token from this string tokenizer.
## Detailed Description The string tokenizer class breaks a string into tokens. The XMLStringTokenizer methods do not distinguish among identifiers, numbers, and quoted strings, nor do they recognize and skip comments A XMLStringTokenizer object internally maintains a current position within the string to be tokenized. Some operations advance this current position past the characters processed. ## Constructor & Destructor Documentation
XMLStringTokenizer::XMLStringTokenizer | ( | const XMLCh *const | srcStr | ) |
  | Constructs a string tokenizer for the specified string. The tokenizer uses the default delimiter set, which is "\t \r\f": the space character, the tab character, the newline character, the carriage-return character, and the form-feed character. Delimiter characters themselves will not be treated as tokens. Parameters:
  srcStr | The string to be parsed.
XMLStringTokenizer::XMLStringTokenizer | ( | const XMLCh *const | srcStr,
|  | const XMLCh *const | delim
| ) |
  | Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens. Delimiter characters themselves will not be treated as tokens. Parameters:
  srcStr | The string to be parsed.
  delim | The set of delimiters.
XMLStringTokenizer::~XMLStringTokenizer | ( |  | ) |
## Member Function Documentation
int XMLStringTokenizer::countTokens | ( |  | ) |
| Calculates the number of times that this tokenizer's nextToken method can be called to return a valid token. The current position is not advanced. Returns the number of tokens remaining in the string using the current delimiter set.
bool XMLStringTokenizer::hasMoreTokens | ( |  | ) |
| Tests if there are more tokens available from this tokenizer's string. Returns true if and only if there is at least one token in the string after the current position; false otherwise.
XMLCh* XMLStringTokenizer::nextToken | ( |  | ) |
| Returns the next token from this string tokenizer. Function allocated, function managed (fafm). The calling function does not need to worry about deleting the returned pointer.
The documentation for this class was generated from the following file: XMLStringTokenizer.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.